clang 8.0.0

Public Member Functions | List of all members
clang::UnresolvedUsingTypeLoc Class Reference

Wrapper for source info for unresolved typename using decls. More...

`#include "clang/AST/TypeLoc.h"`

Inheritance diagram for clang::UnresolvedUsingTypeLoc:
[legend]
Collaboration diagram for clang::UnresolvedUsingTypeLoc:
[legend]

## Public Member Functions
UnresolvedUsingTypenameDecl * | getDecl () const
Public Member Functions inherited from clang::InheritingConcreteTypeLoc< TypeSpecTypeLoc, UnresolvedUsingTypeLoc, UnresolvedUsingType >
const UnresolvedUsingType * | getTypePtr () const
Public Member Functions inherited from clang::TypeSpecTypeLoc
SourceLocation | getNameLoc () const
void | setNameLoc (SourceLocation Loc)
SourceRange | getLocalSourceRange () const
void | initializeLocal (ASTContext &Context, SourceLocation Loc)
Public Member Functions inherited from clang::ConcreteTypeLoc< UnqualTypeLoc, TypeSpecTypeLoc, Type, TypeSpecLocInfo >
unsigned | getLocalDataAlignment () const
unsigned | getLocalDataSize () const
void | copyLocal (TypeSpecTypeLoc other)
TypeLoc | getNextTypeLoc () const
const Type * | getTypePtr () const
Public Member Functions inherited from clang::UnqualTypeLoc
| UnqualTypeLoc ()=default
| UnqualTypeLoc (const Type *Ty, void *Data)
const Type * | getTypePtr () const
TypeLocClass | getTypeLocClass () const
Public Member Functions inherited from clang::TypeLoc
| TypeLoc ()=default
| TypeLoc (QualType ty, void *opaqueData)
| TypeLoc (const Type *ty, void *opaqueData)
template<typename T >
T | castAs () const
| Convert to the specified TypeLoc type, asserting that this TypeLoc is of the desired type. More...
template<typename T >
T | getAs () const
| Convert to the specified TypeLoc type, returning a null TypeLoc if this TypeLoc is not of the desired type. More...
template<typename T >
T | getAsAdjusted () const
| Convert to the specified TypeLoc type, returning a null TypeLoc if this TypeLoc is not of the desired type. More...
TypeLocClass | getTypeLocClass () const
bool | isNull () const
| operator bool () const
QualType | getType () const
| Get the type for which this source info wrapper provides information. More...
const Type * | getTypePtr () const
void * | getOpaqueData () const
| Get the pointer where source information is stored. More...
SourceLocation | getBeginLoc () const
| Get the begin source location. More...
SourceLocation | getEndLoc () const
| Get the end source location. More...
SourceRange | getSourceRange () const LLVM_READONLY
| Get the full source range. More...
SourceRange | getLocalSourceRange () const
| Get the local source range. More...
unsigned | getFullDataSize () const
| Returns the size of the type source info data block. More...
TypeLoc | getNextTypeLoc () const
| Get the next TypeLoc pointed by this TypeLoc, e.g for "int*" the TypeLoc is a PointerLoc and next TypeLoc is for "int". More...
UnqualTypeLoc | getUnqualifiedLoc () const
| Skips past any qualifiers, if this is qualified. More...
TypeLoc | IgnoreParens () const
TypeLoc | findExplicitQualifierLoc () const
| Find a type with the location of an explicit type qualifier. More...
void | initialize (ASTContext &Context, SourceLocation Loc) const
| Initializes this to state that every location in this type is the given location. More...
void | initializeFullCopy (TypeLoc Other)
| Initializes this by copying its information from another TypeLoc of the same type. More...
void | initializeFullCopy (TypeLoc Other, unsigned Size)
| Initializes this by copying its information from another TypeLoc of the same type. More...
void | copy (TypeLoc other)
| Copies the other type loc into this one. More...
SourceLocation | findNullabilityLoc () const
| Find the location of the nullability specifier (__nonnull, __nullable, or __null_unspecifier), if there is one. More...

## Additional Inherited Members
Public Types inherited from clang::TypeSpecTypeLoc
enum | { LocalDataSize = sizeof(TypeSpecLocInfo), LocalDataAlignment = alignof(TypeSpecLocInfo) }
Public Types inherited from clang::TypeLoc
enum | TypeLocClass { Qualified }
| The kinds of TypeLocs. More...
Static Public Member Functions inherited from clang::TypeLoc
static unsigned | getFullDataSizeForType (QualType Ty)
| Returns the size of type source info data block for the given type. More...
static unsigned | getLocalAlignmentForType (QualType Ty)
| Returns the alignment of type source info data block for the given type. More...
Protected Member Functions inherited from clang::ConcreteTypeLoc< UnqualTypeLoc, TypeSpecTypeLoc, Type, TypeSpecLocInfo >
unsigned | getExtraLocalDataSize () const
unsigned | getExtraLocalDataAlignment () const
TypeSpecLocInfo * | getLocalData () const
void * | getExtraLocalData () const
| Gets a pointer past the Info structure; useful for classes with local data that can't be captured in the Info (e.g. More...
void * | getNonLocalData () const
HasNoInnerType | getInnerType () const
TypeLoc | getInnerTypeLoc () const
Protected Attributes inherited from clang::TypeLoc
const void * | Ty = nullptr
void * | Data = nullptr

## Detailed Description

Wrapper for source info for unresolved typename using decls.

Definition at line 686 of file TypeLoc.h.

## Member Function Documentation

## ◆ getDecl()

UnresolvedUsingTypenameDecl* clang::UnresolvedUsingTypeLoc::getDecl | ( |  | ) | const
| inline

Definition at line 691 of file TypeLoc.h.

References clang::TypeLoc::getTypePtr().

The documentation for this class was generated from the following file:

- include/clang/AST/TypeLoc.h